Bug 1465352 - [abrt] plasma-workspace: KCrash::defaultCrashHandler(): plasmashell killed by SIGSEGV
[abrt] plasma-workspace: KCrash::defaultCrashHandler(): plasmashell killed by...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
25
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b29e3b75677c666db528f74012b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 05:37 EDT by alain.thiaville
Modified: 2017-12-12 05:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:31:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.80 KB, text/plain)
2017-06-27 05:37 EDT, alain.thiaville
no flags Details
File: cgroup (148 bytes, text/plain)
2017-06-27 05:37 EDT, alain.thiaville
no flags Details
File: core_backtrace (7.13 KB, text/plain)
2017-06-27 05:37 EDT, alain.thiaville
no flags Details
File: dso_list (42.44 KB, text/plain)
2017-06-27 05:37 EDT, alain.thiaville
no flags Details
File: environ (1.64 KB, text/plain)
2017-06-27 05:37 EDT, alain.thiaville
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-27 05:37 EDT, alain.thiaville
no flags Details
File: maps (176.73 KB, text/plain)
2017-06-27 05:38 EDT, alain.thiaville
no flags Details
File: mountinfo (3.14 KB, text/plain)
2017-06-27 05:38 EDT, alain.thiaville
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-27 05:38 EDT, alain.thiaville
no flags Details
File: open_fds (181 bytes, text/plain)
2017-06-27 05:38 EDT, alain.thiaville
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-06-27 05:38 EDT, alain.thiaville
no flags Details
File: var_log_messages (8.27 KB, text/plain)
2017-06-27 05:38 EDT, alain.thiaville
no flags Details

  None (edit)
Description alain.thiaville 2017-06-27 05:37:40 EDT
Description of problem:
plasmashell graphical launcher: launching plasma (same whith any application). systematic with this account

Version-Release number of selected component:
plasma-workspace-5.9.5.1-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     2880
kernel:         4.11.6-201.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at /usr/src/debug/kcrash-5.34.0/src/kcrash.cpp:434
 #3 __memmove_sse2_unaligned_erms at ../sysdeps/x86_64/multiarch/memmove-vec-unaligned-erms.S:479
 #4 memcpy at /usr/include/bits/string3.h:53
 #5 QByteArray::QByteArray at tools/qbytearray.cpp:1586
 #6 DBPostingIterator::DBPostingIterator at /usr/src/debug/baloo-5.34.0/src/engine/postingdb.cpp:176
 #7 Baloo::PostingDB::iter at /usr/src/debug/baloo-5.34.0/src/engine/postingdb.cpp:169
 #8 Baloo::Transaction::postingIterator at /usr/src/debug/baloo-5.34.0/src/engine/transaction.cpp:294
 #9 Baloo::SearchStore::constructQuery at /usr/src/debug/baloo-5.34.0/src/lib/searchstore.cpp:190
 #11 Baloo::SearchStore::exec at /usr/src/debug/baloo-5.34.0/src/lib/searchstore.cpp:76
 #12 Baloo::Query::exec at /usr/src/debug/baloo-5.34.0/src/lib/query.cpp:210
Comment 1 alain.thiaville 2017-06-27 05:37:48 EDT
Created attachment 1292233 [details]
File: backtrace
Comment 2 alain.thiaville 2017-06-27 05:37:50 EDT
Created attachment 1292234 [details]
File: cgroup
Comment 3 alain.thiaville 2017-06-27 05:37:52 EDT
Created attachment 1292235 [details]
File: core_backtrace
Comment 4 alain.thiaville 2017-06-27 05:37:54 EDT
Created attachment 1292236 [details]
File: dso_list
Comment 5 alain.thiaville 2017-06-27 05:37:56 EDT
Created attachment 1292237 [details]
File: environ
Comment 6 alain.thiaville 2017-06-27 05:37:57 EDT
Created attachment 1292238 [details]
File: limits
Comment 7 alain.thiaville 2017-06-27 05:38:02 EDT
Created attachment 1292239 [details]
File: maps
Comment 8 alain.thiaville 2017-06-27 05:38:04 EDT
Created attachment 1292240 [details]
File: mountinfo
Comment 9 alain.thiaville 2017-06-27 05:38:06 EDT
Created attachment 1292241 [details]
File: namespaces
Comment 10 alain.thiaville 2017-06-27 05:38:07 EDT
Created attachment 1292242 [details]
File: open_fds
Comment 11 alain.thiaville 2017-06-27 05:38:09 EDT
Created attachment 1292243 [details]
File: proc_pid_status
Comment 12 alain.thiaville 2017-06-27 05:38:11 EDT
Created attachment 1292244 [details]
File: var_log_messages
Comment 13 alain.thiaville 2017-06-27 06:13:49 EDT
severity very high almost critical almost because plasma desktop is broken and i have to kill the X server of this account. Session lost !!!
Comment 14 Rex Dieter 2017-06-27 08:40:40 EDT
You should be able to restart plasmashell (no need for session lost).

ALT-F2: plasmashell
Comment 15 alain.thiaville 2017-07-04 02:43:43 EDT
Similar problem has been detected:

enter any text in plasmashell fedora graphical launcher. crash is now systematic .

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     23400
kernel:         4.11.7-200.fc25.x86_64
package:        plasma-workspace-5.9.5.1-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 16 Fedora End Of Life 2017-11-16 10:18:48 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2017-12-12 05:31:40 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.